#!/config/sh                                      # just for syntax highlightning
#********************************************************************************
# Create compile, load and makelib


# $CCOPTS and/or $LDOPTS will be set by optional configure scripts if needed

echo -n "Checking for compile ... "
[ -f "conf-cc" ] && CC=`head -1 conf-cc`"$CCOPTS" || CC="$CC $CCOPTS"
(cat warn-auto.sh ; echo exec "$CC" -c '${1+"$@"}')  > compile
chmod 755 compile
echo "created!"

# load: auto-ld
echo -n "Checking for loader ... "
[ -f "conf-ld" ] && LD=`head -1 conf-ld`"$LDOPTS" || LD="$LD $LDOPTS"
#LD="$LD $LDOPTS"
(cat warn-auto.sh ; echo 'main="$1"; shift' ; \
  echo exec "$LD" '-o "$main" "$main".o ${1+"$@"}') > load
chmod 755 load
echo "created!"

# makelib
if [ "$CREATE_MAKELIB" = "1" ] ; then
  echo -n "Checking for makelib ... "
  (cat warn-auto.sh ; \
    echo 'main="$1"; shift' ; \
    echo 'rm -f "$main"' ; \
    echo 'ar cr "$main" ${1+"$@"}' ; \
    echo 'ranlib "$main"') > makelib
  chmod 755 makelib
  echo "created!"
fi
