#!/config/sh                                      # just for syntax highlightning
#********************************************************************************

usrgrpError() {
  local e
  case "$1" in
  "g") e="Group '$G'";;
  "u") e="User '$U'";;
  esac
  printf "\033[91mfailed!\033[0m\033[1m $e required, but doesn't exist!\033[0m\n"
  exit 1
}

chkGroup() {
  local G="$1"
  printf "Checking for group '$G' ... "
  getent group $G 2>&1 >/dev/null
  [ $? != 0 ] && usrgrpError "g" "$G"
  printf "OK\n"
}

chkUser() {
  local U="$1"
  printf "Checking for user '$U' ... "
  getent passwd $U 2>&1 >/dev/null
  [ $? != 0 ] && usrgrpError "u" "$G"
  printf "OK\n"
}
