
# folders defined in conf-build
BINDIR="QPREFIX/sbin"
LIBDIR="QPREFIX/lib"
MANDIR="QPREFIX/man"
ETCDIR="QETCDIR"

USER=`head -1 ac-user`
GROUP=`head -1 ac-group`

[ -d "$BINDIR" ] || mkdir -p "$BINDIR"
[ -d "$LIBDIR" ] || mkdir -p "$LIBDIR"

cp qemu-adm     "$BINDIR"
cp qemu-vnc     "$BINDIR"
cp qemu-cmd     "$LIBDIR"
cp qemu-init    "$LIBDIR"
cp qemu-mon     "$LIBDIR"
cp qemu-netif   "$LIBDIR"
cp -d qemu-br*  "$LIBDIR"
cp qtcpclient   "$LIBDIR"
cp qtcpconn-io  "$LIBDIR"

# 'qtcpconn' was removed from package --> change (remove) this!!!!
[ -f "$BINDIR/qtcpconn" ] && rm "$BINDIR/qtcpconn"

cp qemud $BINDIR
ln -sf $BINDIR/qemud /etc/init.d/qemud

# config files and templates
[ -d "$ETCDIR" ] || mkdir -p "$ETCDIR"
cp -n monitor.conf    "$ETCDIR"
cp -n qemu-init.reg   "$ETCDIR"
cp template-qemu.rc   "$ETCDIR"
cp template-user.cfg  "$ETCDIR"
chmod 0664 "$ETCDIR/qemu-init.reg"
chown "$USER"."$GROUP" "$ETCDIR/qemu-init.reg"

[ -d "/etc/sudoers.d" ] && cp qemu-init-sudo-grp /etc/sudoers.d/

# man pages
[ -d "$MANDIR/man1" ] || mkdir -p "$MANDIR/man1"
[ -d "$MANDIR/man5" ] || mkdir -p "$MANDIR/man5"
[ -d "$MANDIR/man8" ] || mkdir -p "$MANDIR/man8"
cp man/*.5    $MANDIR/man5
cp man/*.8    $MANDIR/man8
