.TH qemu-adm 8 "October 29, 2019" qemu-init
.SH NAME
qemu-adm \- the \fBqemu-init\fR administration tool
.SH SYNOPSIS
.B qemu-adm\fR \fI[ -a|-r|-u <name> ]\fR
.br
.B qemu-adm\fR \fI[ -S|-D|-R|-m|-s|--config ] <name>\fR
.br
.B qemu-adm\fR \fI-c <command> <name>\fR
.br
.B qemu-adm\fR \fI[ -l ] | [ -h ] | [ -V ]\fR

.SH DESCRIPTION
\fBqemu-adm\fR is the main tool of \fBqemu-init\fR. It provides (nearly) the complete functionality
of \fBqemu-init\fR through a unique interface.

.SH TERMS
Except explicit otherwise stated the term \fI<name>\fR is the short unique identifier which belongs to
one dedicated virtual machine. It have to be unique between all registered virtual machines handled
by \fB\qemu-adm\fR. \fI<name>\fR is be used as prefix for several files as well for the \fBqemu\fR
option \fI"\-name"\fR. With \fBqemu-init\fR a minus and a dot are not allowed in \fI<name>\fR.

.SH OPTIONS
There are two types of parameters: \fBactions\fR and \fBoptions\fR. Only one \fBaction\fR is allowed at
execution time.

If multiple \fBactions\fR are given the first one wins - all other will be ignored and a warning
will be printed. Maybe the behavior of \fBqemu-adm\fR will be undefined in such a case.

\fBoptions\fR extends \fBactions\fR with additional functionality.
.SS \fBActions:\fR
.TP
.I \-a | --autostart <name>
Revert the autostart option used by \fBqemud\fR. If the actual value is ON then it will be set to OFF
and vice versa. The autostart option is defined in the second field of \fIQETCDIR/qemu-init.reg\fR.
.TP
.I \-c | --cmd <command> <name>
Execute \fI<command>\fR in the qemu monitor of \fI<name>\fR by using \fBqemu-cmd\fR and exit. \fI<command>\fR
have to be quoted properly. This option requires 2 arguments; an invalid number of arguments will result in
an error.
.br
For completeness: \fBqemu-cmd\fR is be used internally for different tasks too.
.TP
.I \--config <name>
Show configuration of \fI<name>\fR from config files \fI<name>-qemu.rc\fR and \fI<name>-user.cfg\fR.
.TP
.I \-D | --stop <name>
Stop virtual machine \fI<name>\fR.
.TP
.I \-h
Show the help screen and exit.
.TP
.I \-l
List all registered virtual machines fro \fIQETCDIR/qemu-init.reg\fR.
.TP
.I \-m | --monitor <name>
Connect to the qemu monitor of \fI<name>\fR.
.TP
.I \-r | --register <name>
A virtual machine given by \fI<name>\fR will be created and registered. \fI<name>\fR MUST be a full
absolute path here: \fI/full/path/to/name\fR. The path will be splitted an defines the location for
all files which belongs to this virtual machine. If the path doesn't exist it will be created. Inside
this folder the files \fI<name>-qemu.rc\fR and \fI<name>-user.cfg\fR will be created. If the \fI\-f\fR
option is given a default disk image file will be created.
.br
All file names begins with prefix \fI<name>\fR (without the path). Existing files will not be overwritten.
.TP
.I \--reset <name>
Perform a \(dqwarm start\(dq of \fI<name>\fR. This will be done with the qemu monitor command \fIsystem_reset\fR.
.TP
.I \-R | --restart <name>
Restart the virtual machine \fI<name>\fR. This executes the start/stop commands of \fBqemu-init\fR. The
virtual machine will be stopped and afterwards new started.
.TP
.I \-S | --start <name>
Start the virtual machine \fI<name>\fR.
.TP
.I \-u | --unregister <name>
Unregister the virtual machine \fI<name>\fR. The entry will be removed from \fIQETCDIR/qemu-init.reg\fR.
All existing files of virtual machine \fI<name>\fR stay untouched.
.TP
.I \-s | --status <name>
Show the actual runtime configuration of \fI<name>\fR.
.TP
.I \-V | --version
Show version info and exit.
.SS \fBOptions:\fR
.TP
.I \--cdrom [ <file> ]
Mount \fI<file>\fR at the first virtual cdrom drive. Usually \fI<file>\fR is an iso image. If
\fI<file>\fR is not given, the first cdrom drive will be ejected. This option has works with
the action \fIreset\fR only.
.TP
.I \-f
given with option \fI-r | --register\fR it creates a qemu image file.

.SH EXAMPLES
.EX
Register a new virtual machine with name 'pluto' and create all files:
    $> qemu-adm -r /home/vm/pluto -f
.EE

.EX
Unregister a virtual machine with name 'pluto':
    $> qemu-adm -u pluto
.EE

.EX
Check the char devices of 'pluto' through the qemu montor:
    $> qemu-adm -c "info chardev" pluto
.EE

.SH AUTHOR
Kai Peter (©2017-2019)
.SH SEE ALSO
\. qemu-adm(5),qemu-adm(7),
qemu-cmd(8),qemu-mon(8),qemud(8)
