.TH "qemu-init" 5 "March 18, 2018" qemu-init
\..SH NAME
\. qemu-init config files
\..SH SYNOPSIS
\.\fBqemu-init\fR configuration files and templates
.SH TERMS
The term \fBqemu-init\fR is used as name of the package here. It is NOT related to the library
file \fIQLIBDIR/qemu-init\fR.

The term \fI<name>\fR is the unique identifier used to determine all file which belongs to one
dedicated virtaul machine called \fIname\fR.

.SH DESCRIPTION
\fBqemu-init\fR uses several config files. The required config files are described below.

.SH CONFIG FILES
\fBqemu-init\fR uses several config files:
.SS
.I QETCDIR/monitor.conf
Here we define the first tcp port of the qemu monitor. The first virtual machine started by
\fBqemu-init\fR uses this port number to connect to the monitor. The port number will be
increased by 1 for each further virtual machine started by \fBqemu-init\fR.

Additional it will be used to set the vnc port with a fix offset of +100. This is subject
of change in the future.

.SS
.I QETCDOR/qemu-init.reg
This v4 file holds information of the virtual machines registered by \fBqemu-init\fR. The first
field contains the full path to the \fIQETCDIR/<name>-qemu.rc\fR file. This is a core information
and will be used several times by \fBqemu-init\fR. In most cases the <name> of a virtual machine
will be extracte. But as well the path is important to get the location of the virtual
machine \fI<name>\fR.
The second field contains information of the autostart feature, used by \fBqemud\fR. The other
fields are not use yet.

.SS
.I <name>-qemu.rc
This file contains default configuration options for \fBqemu\fR as well options to control the
behavior of a virtual machine. It is located in the folder of the virtual machineitself. The
format is VARNAME=VALUE. To unset an option simply use an empty value for a variable (VARNAME="")
or comment it out with '#'.

Most of the options in \fI<name>-qemu.rc\fR will be passed to \fBqemu\fR. The following options
are used by \fBqemu-init\fR only:
.TP
.I BOOTDELAY
Sometime at start up of the host it could be required to wait some time before a virtual machine
could be started w/o an error. The \fIBOOTDELAY\fR option delays the start of a virtual machine
by \fIn\fR seconds in the background.
.TP
.I STOPDELAY
The timeout in seconds \fBqemu-init\fR waits that the virtual machine is stop. The default is 30.
Some times a clean shutdown can take longer. Increasing \fISTOPDELAY\fR prevents a false positive
error.
.TP
.I PRECMD
Some times it is required to run some stuff before a virtual machine starts. A command or a
script with commands can be defined here which will be executed before the real start of the
virtual machine.

.SS
.I <name>-user-cfg
This file contains user configuration settings for \fBqemu\fR and is located in the folder of
the virtual machine. The format is VARNAME=VALUE. The variable names could be freely chossen,
except 'CUST_OPTS'. The name 'CUST_OPTS' is reserved for backwards compatibility with older
versions of \fBqemu-init\fR. Maybe this will be subject to change in the future.

The file \fI<name>-user-cfg\fR will be read line sequential. Thus the used variable names have
to be unique. For better readability variables can be consolidated in a shell like style
VAR="$VAR -option parameter".

.SH TEMPLATE FILES
.SS
.I QETCDIR/<name>-qemu.rc
This file is be used to create \fI<name>-qemu.rc\fR by using \fBqemu-adm\fR with the
option '--register'. Some of the settings will be set at creation time.
.SS
.I QETCDIR/<name>-user.cfg
This file is be used to create \fI<name>-user-cfg\fR. by using \fBqemu-adm\fR with the
option '--register'. By default \fI<name>-user-cfg\fR is empty except some comments.

.SH AUTHOR
Kai Peter (©2017)
.SH SEE ALSO
qemu-init(8),qemu-adm(8),qemu-mon(8)
